
package body Allegro.Bitmaps is

    procedure Destroy_Bitmap( bmp : in out A_Bitmap ) is
        procedure C_Destroy_Bitmap( bmp : A_Bitmap );
        pragma Import( C, C_Destroy_Bitmap, "destroy_bitmap" );
    begin
        if bmp /= null then
            C_Destroy_Bitmap( bmp );
            bmp := null;
        end if;
    end Destroy_Bitmap;

    ----------------------------------------------------------------------------

    function Get_Dat( bmp : A_Bitmap ) return Address is
    begin
        return bmp.dat;
    end Get_Dat;

    ----------------------------------------------------------------------------

    function Get_Height( bmp : A_Bitmap ) return Integer is
    begin
        return bmp.h;
    end Get_Height;

    ----------------------------------------------------------------------------

    function Get_Width( bmp : A_Bitmap ) return Integer is
    begin
        return bmp.w;
    end Get_Width;

end Allegro.Bitmaps;
