
package body Allegro.Graphics is

    procedure Destroy_Gfx_Mode_List( mode_list : in out A_Gfx_Mode_List ) is

        procedure C_Destroy_Gfx_Mode_List( mode_list : in out A_Gfx_Mode_List );
        pragma Import( C, C_Destroy_Gfx_Mode_List, "destroy_gfx_mode_list" );

    begin
        if mode_list /= null then
            C_Destroy_Gfx_Mode_List( mode_list );
            mode_list := null;
        end if;
    end Destroy_Gfx_Mode_List;

    ----------------------------------------------------------------------------

    function Is_Windowed_Mode return Boolean is

        function C_Is_Windowed_Mode return Integer;
        pragma Import( C, C_Is_Windowed_Mode, "is_windowed_mode" );

    begin
        return C_Is_Windowed_Mode /= 0;
    end Is_Windowed_Mode;

end Allegro.Graphics;
