
with Interfaces;                        use Interfaces;

package Allegro_Ids is

    pragma Pure;

    type AL_ID is private;

    AL_ID_NONE : constant AL_ID;

    function To_AL_ID( a, b, c, d : Character ) return AL_ID;

    function To_AL_ID( n : Unsigned_32 ) return AL_ID;

    function To_String( id : AL_ID ) return String;

private

    type AL_ID is new Unsigned_32;

    AL_ID_NONE : constant AL_ID := 0;

end Allegro_Ids;
