
with Actions;                           use Actions;
--with Debugging;                         use Debugging;

package body Game_Views.Keen.Actions is

    procedure Action_Title_OK_Button( action : A_Button_Action ) is
    begin
        if action.Get_Id = Press then
            A_Keen_View(action.Get_Source.Get_View).Action_Title_OK;
        end if;
    end Action_Title_OK_Button;

    ----------------------------------------------------------------------------

    procedure Action_New_Game_Button( action : A_Button_Action ) is
    begin
        if action.Get_Id = Click then
            A_Keen_View(action.Get_Source.Get_View).Action_New_Game;
        end if;
    end Action_New_Game_Button;

    ----------------------------------------------------------------------------

    procedure Action_Resume_Game_Button( action : A_Button_Action ) is
    begin
        if action.Get_Id = Click then
            A_Keen_View(action.Get_Source.Get_View).Action_Resume_Game;
        end if;
    end Action_Resume_Game_Button;

    ----------------------------------------------------------------------------

    procedure Action_Quit_Button( action : A_Button_Action ) is
    begin
        if action.Get_Id = Click then
            A_Keen_View(action.Get_Source.Get_View).Action_Quit;
        end if;
    end Action_Quit_Button;

end Game_Views.Keen.Actions;
