
with Events.Manager;

package body Events.Keen is

    procedure Construct( this : access Give_Ammo_Event; amount : Integer ) is
    begin
        Event(this.all).Construct( "Give_Ammo" );
        this.amount := amount;
    end Construct;

    ----------------------------------------------------------------------------

    function Get_Amount( this : not null access Give_Ammo_Event'Class ) return Integer is
    begin
        return this.amount;
    end Get_Amount;

    --==========================================================================

    procedure Construct( this : access Give_Drops_Event; amount : Integer ) is
    begin
        Event(this.all).Construct( "Give_Drops" );
        this.amount := amount;
    end Construct;

    ----------------------------------------------------------------------------

    function Get_Amount( this : not null access Give_Drops_Event'Class ) return Integer is
    begin
        return this.amount;
    end Get_Amount;

    --==========================================================================

    procedure Construct( this : access Give_Points_Event; amount : Integer ) is
    begin
        Event(this.all).Construct( "Give_Points" );
        this.amount := amount;
    end Construct;

    ----------------------------------------------------------------------------

    function Get_Amount( this : not null access Give_Points_Event'Class ) return Integer is
    begin
        return this.amount;
    end Get_Amount;

    --==========================================================================

    procedure Queue_Give_Ammo( amount : Integer ) is
        evt : A_Give_Ammo_Event := new Give_Ammo_Event;
    begin
        evt.Construct( amount );
        Events.Manager.Queue_Event( A_Event(evt) );
    end Queue_Give_Ammo;

    ----------------------------------------------------------------------------

    procedure Queue_Give_Drops( amount : Integer ) is
        evt : A_Give_Drops_Event := new Give_Drops_Event;
    begin
        evt.Construct( amount );
        Events.Manager.Queue_Event( A_Event(evt) );
    end Queue_Give_Drops;

    ----------------------------------------------------------------------------

    procedure Queue_Give_Points( amount : Integer ) is
        evt : A_Give_Points_Event := new Give_Points_Event;
    begin
        evt.Construct( amount );
        Events.Manager.Queue_Event( A_Event(evt) );
    end Queue_Give_Points;

end Events.Keen;
