
package Worlds.Importing is

    -- Raises an exception on error.
    function Import_World( imagePath,
                           libName,
                           domain    : String;
                           tolerance : Natural ) return A_World;
    pragma Precondition( imagePath'Length > 0 );
    pragma Precondition( libName'Length > 0 );
    pragma Precondition( domain'Length > 0 );
    pragma Postcondition( Import_World'Result /= null );

end Worlds.Importing;
